#include <stdio.h>
int main() { 
    int money[] = {100, 50, 20, 10, 5, 1};  
    int n = 85;
    printf("要找的钱数为：%d\n", n); 
    int num[6] = {0};  // 存储每种面值所需的数量  
    for (int i = 0; i < 6; i++) {
        num[i] = n / money[i];  // 计算需要的面值数量
        n = n % money[i];        // 更新剩余的钱数
    } 
    for (int i = 0; i < 6; i++) {
        printf("需要%d元面值%d枚\n", money[i], num[i]);
    } 
    return 0;
}
